Skocz do zawartości

Hosting dHosting.pl - 10% rabat! :-)

WSPIERAJ forum :)

Rekomendowane odpowiedzi

Pięknie. Może coś takiego można by zaimplementować w localize board, jakbyś się zgodził. :)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Pozwól użytkownikomna korzystanie z nowej metody wgrywania plików

;)

  • Lubię to 1

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Fajna sprawa, ale zaraz po wgraniu otrzymałem.

Warning: Illegal string offset 'hook_php_version_min' in /home/xxx/public_html/xxx/applications/core/modules_admin/applications/hooks.php on line 3352

Warning: Illegal string offset 'hook_php_version_max' in /home/xxx/public_html/xxx/applications/core/modules_admin/applications/hooks.php on line 3352

Warning: Illegal string offset 'required_applications' in /home/xxx/public_html/xxx/applications/core/modules_admin/applications/hooks.php on line 3366

Mimo tego komunikatu na razie wszystko działa.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Pełne spolszczenie ustawień systemowych IP.Board.

Jest to pierwsze wydanie tego spolszczenia.

Jestem pod wrażeniem. mud5au.gif

Myślę, że tego brakowało "początkującym administratorom" i w znaczący sposób zmniejszy ilość banalnych pytań. ;)

Pięknie. Może coś takiego można by zaimplementować w localize board, jakbyś się zgodził. :)

Niezły pomysł, tylko trzeba by dodać współautora. ;) Choć można też zaproponować odrębnie, właśnie jak Localize. Edytowane przez Gonzo

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Pięknie. Może coś takiego można by zaimplementować w localize board, jakbyś się zgodził.  :)

 

Na razie chciałbym się skupić na wyłapywaniu błędów i dopieszczeniu tego spolszczenia. Zobaczymy też co przyniosą nam pierwsze bety nowej wersji IPB - może wreszcie IPS pozwoli na tłumaczenie ustawień z poziomu langu.

 

Pod 3.4.2 działa? :D

 

Możliwe. Nie wiem tylko, czy część ustawień nie została dodana lub usunięta w późniejszych wersjach. W pierwszym przypadku w Twoim ACP pojawią się nowe opcje odnoszące się do nieistniejących ustawień, co może powodować błędy. W tym drugim będziesz miał po prostu stare ustawienia po angielsku.

Edytowane przez Amfidiusz

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

 

Możliwe. Nie wiem tylko, czy część ustawień nie została dodana lub usunięta w późniejszych wersjach. W pierwszym przypadku w Twoim ACP pojawią się nowe opcje odnoszące się do nieistniejących ustawień, co może powodować błędy. W tym drugim będziesz miał po prostu stare ustawienia po angielsku.

 

Póki co niczego złego nie zauważyłem i wszystko działa jak należy :) Dzięki za to spolszczenie :)

  • Lubię to 1

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Cieszę się, że działa. Z różnic w samej aplikacji core widzę jedynie umożliwienie wgrywania załączników na zewnętrzną domenę (Ustawienia :a: System :a: Ustawienia ogólne :a: Domena formularza wgrywania plików). Zostało to wprowadzone dopiero w 3.4.3, a wgrywając moje spolszczenie prawdopodobnie ustawienie to zostało dodane do Twojego panelu kontrolnego. Jako że nie zostało ono w żaden sposób zaprogramowane, wpisanie tam domeny może spowodować błędy lub wszelkie zmiany mogą zostać po prostu zignorowane.

  • Lubię to 1

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Wgrałem tylko dla sprawdzenia, wszystko fajnie, po usunięciu aplikacji dalej mam spolszczony panel, można powrócić do języka angielskiego ?

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Wgrałem tylko dla sprawdzenia, wszystko fajnie, po usunięciu aplikacji dalej mam spolszczony panel, można powrócić do języka angielskiego ?

 

Po rozpakowaniu należy wgrać jako rozszerzenie:

 

ENustawienia343.zip

 

Operacja przywróci oryginalne ustawienia IP.Board 3.4.3.

  • Lubię to 2

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Super, dziękuje Dawidzie, sposobu Amfidiusza nie próbowałem ale też pewnie działa, także plusik.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

 

Fajna sprawa, ale zaraz po wgraniu otrzymałem.

Warning: Illegal string offset 'hook_php_version_min' in /home/xxx/public_html/xxx/applications/core/modules_admin/applications/hooks.php on line 3352

Warning: Illegal string offset 'hook_php_version_max' in /home/xxx/public_html/xxx/applications/core/modules_admin/applications/hooks.php on line 3352

Warning: Illegal string offset 'required_applications' in /home/xxx/public_html/xxx/applications/core/modules_admin/applications/hooks.php on line 3366

Mimo tego komunikatu na razie wszystko działa.

 

 

Powyższe błędy są łatwe do usunięcia i wynikają z faktu używania wyższych wersji PHP (>5.3.x). Wystarczy w ACP>>System>>Aplikacje i moduły>>Rozszerzenia  edytować ustawienia dla rozszerzenia  "Ustawienia IP.Board 3.4.3 by Amfidiusz"  i  w zakładce Wymagania rozszerzenia w polach dla Wersja PHP  min i max wpisać 0  (słownie zero). I po problemie.

  • Lubię to 1

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Dane te są przechowywane w postaci zserializowanej, w plikach XML. Możesz spróbować dodać:

 <hook_requirements><![CDATA[a:2:{s:20:"hook_php_version_min";s:1:"0";s:20:"hook_php_version_max";s:1:"0";}]]></hook_requirements>

W sekcji <config>.

  • Lubię to 1

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

U mnie zniknęła zakładka system. Nie ma jej... Tłumaczenie nie idzie usunąć trzeba ponoć wgrywać oryginalny pliczek, który zapodał Amfidiusz lecz u mnie nie zadziałał (być może że mam domyślnie usunięty język angielski). Po za tym jest ok, bo przynajmniej zakładka system do mnie wróciła.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Rozszerzenie ingeruje jedynie w same Ustawienia, nie ma żadnych odniesień do zakładek globalnych :)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Może Amfidiusz zaktualizujesz to do ostatniej wersji 3.4.5(bo 3.4.6 już pewnie nie będzie) bo niektórzy nie będą aktualizować forum do wersji 4(?). :)

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

Jedynie zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Zarejestruj nowe konto

Załóż nowe konto. To bardzo proste!

Zarejestruj się

Zaloguj się

Posiadasz już konto? Zaloguj się poniżej.

Zaloguj się


  • Przeglądający   0 użytkowników

    Brak zarejestrowanych użytkowników, przeglądających tę stronę.

×